﻿// Copyright (C) Microsoft Corporation. All Rights Reserved.
// This code released under the terms of the Microsoft Public License
// (Ms-PL, http://opensource.org/licenses/ms-pl.html).

using System.Windows;
using System.Windows.Input;

namespace MobileDeviceHomeScreenMaker
{
    public partial class MainWindow : Window
    {
        private Visibility _visibility = Visibility.Visible;

        public MainWindow()
        {
            InitializeComponent();
            MouseLeftButtonDown += new MouseButtonEventHandler(MainWindow_MouseLeftButtonDown);
            MouseRightButtonDown += new MouseButtonEventHandler(MainWindow_MouseRightButtonDown);
        }

        private void MainWindow_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            _visibility = (Visibility.Visible == _visibility) ? Visibility.Collapsed : Visibility.Visible;
            TimeOverlay.Visibility = _visibility;
            SlideOverlay.Visibility = _visibility;
        }

        private void MainWindow_MouseRightButtonDown(object sender, MouseButtonEventArgs e)
        {
            Close();
        }
    }
}
